Wireguard
All operations require authentication.
Regenerate the WireGuard server key of an OverTheBox serviceBeta
Regenerates the key of the WireGuard server of the service, which changes the server public key the peers use. Returns the task that performs the change.
Path parameters
Service name
Response
Service task name
Service task status
doingdoneerrortodoService task ID
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ regenerate \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}
Reset the WireGuard configuration of an OverTheBox serviceBeta
Resets the WireGuard configuration of the service to its default. Returns the task that performs the reset.
Path parameters
Service name
Response
Service task name
Service task status
doingdoneerrortodoService task ID
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}
Get the WireGuard server of an OverTheBox serviceBeta
Returns the WireGuard server configuration: its public key, private IPv4 block, connection endpoint (IPv4 and port), and the maximum number of peers configured and simultaneously active.
Path parameters
Service name
Response
Wireguard server connection endpoint
Maximum peers simultaneously active
Maximum peers simultaneously configured
Wireguard server private IP block
Wireguard server public key
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ wireguard \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoint": { "ipv4": "192.0.2.0", "port": 0 }, "maxPeerActive": 0, "maxPeerAllowed": 0, "privateIpv4": "192.0.2.0/24", "publicKey": "string"}